Subject: Re: StGIT fails to clean patch series, and to go to a patch

From: Jakub Narebski <[email-masked]>
Date: Sat, 3 Nov 2007 14:17:47 +0100

Catalin Marinas wrote:
> On 03/11/2007, Jakub Narebski <[email-masked]> wrote:
>
>> I have patch series with empty patch in the middle of the stack.
>> After trying to stg-clean (and failing) stack looks like below:
> 
> Does 'stg delete gitweb-Update-INSTALL-file' work?
> 
>> 1164:[gitweb/web!git]$ stg goto gitweb-Use-config-more
>> Checking for changes in the working directory ... done
>> Traceback (most recent call last):
> 
> Does a simple 'stg push' work? I suspect there is something wrong with
> the gitweb-Update-INSTALL-file patch but not sure why or how it could
> get to this inconsistent state?
> 
> It's worth checking the values of 'stg id
> gitweb-Update-INSTALL-file//top' and //bottom and whether they are
> commit ids or something else.

1168:[gitweb/web!git]$ stg id gitweb-Update-INSTALL-file 
None
1169:[gitweb/web!git]$ stg id gitweb-Update-INSTALL-file//top
None
1170:[gitweb/web!git]$ stg id gitweb-Update-INSTALL-file//bottom
None
1171:[gitweb/web!git]$ stg delete gitweb-Update-INSTALL-file 
Traceback (most recent call last):
  File "/usr/bin/stg", line 43, in ?
    main()
  File "/usr/lib/python2.4/site-packages/stgit/main.py", line 284, in main
    command.func(parser, options, args)
  File "/usr/lib/python2.4/site-packages/stgit/commands/delete.py", line 76, in func
    crt_series.delete_patch(patch)
  File "/usr/lib/python2.4/site-packages/stgit/stack.py", line 919, in delete_patch
    patch.delete()
  File "/usr/lib/python2.4/site-packages/stgit/stack.py", line 160, in delete
    for f in os.listdir(self._dir()):
OSError: [Errno 2] No such file or directory: '.git/patches/gitweb/web/patches/gitweb-Update-INSTALL-file'

I wonder how that happened... I'm just interested in recovering
the unapplied commits. There is always reflog, but StGIT does not
create reflog message as it should.

Hmmm... removing gitweb-Update-INSTALL-file line from 'unapplied' file
worked; nice.

-- 
Jakub Narebski
Poland